/**
******************************************************************************
* @file         bsp_TiMbase.c
* @version      V1.0
* @date         2020-06-05
* @brief        öʱ붨ʱж
*        
* @company      Ƽ޹˾
* @information  WIZnet W5500ٷ̣ȫ̼֧֣۸ƴ
* @website      www.wisioe.com
* @forum        www.w5500.cn
* @qqGroup      579842114
* @Support      QQ:2571856470Mob:18998931307
* @Email        support@wisioe.com
******************************************************************************
*/
#include "bsp_TiMbase.h" 

/* TIM2жȼ */
void TIM2_NVIC_Configuration(void)
{
  NVIC_InitTypeDef NVIC_InitStructure; 

  NVIC_PriorityGroupConfig(NVIC_PriorityGroup_0);
  NVIC_InitStructure.NVIC_IRQChannel = TIM2_IRQn;
  NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0;
  NVIC_InitStructure.NVIC_IRQChannelSubPriority = 3;  
  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;
  NVIC_Init(&NVIC_InitStructure);
}

/*
 * TIM_Period / Auto Reload Register(ARR) = 1000   TIM_Prescaler--71 
 * жΪ = 1/(72MHZ /72) * 1000 = 1ms
 *
 * TIMxCLK/CK_PSC --> TIMxCNT --> TIM_Period(ARR) --> ж TIMxCNTΪ0¼ 
 */
void TIM2_Configuration(void)
{
  TIM_TimeBaseInitTypeDef  TIM_TimeBaseStructure;
  /* TIM2CLK Ϊ 72MHZ */
  RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM2 , ENABLE);
  //TIM_DeInit(TIM2);
  /* ԶװؼĴڵֵ(ֵ) */
  TIM_TimeBaseStructure.TIM_Period=1000;
  /* ۼ TIM_PeriodƵʺһ»ж */
  /* ʱԤƵΪ72 */
  TIM_TimeBaseStructure.TIM_Prescaler= 71;
  /* ⲿʱӽвʱӷƵ,ûõ */
  TIM_TimeBaseStructure.TIM_ClockDivision=TIM_CKD_DIV1;
  TIM_TimeBaseStructure.TIM_CounterMode=TIM_CounterMode_Up; 

  TIM_TimeBaseInit(TIM2, &TIM_TimeBaseStructure);
  TIM_ClearFlag(TIM2, TIM_FLAG_Update);
  TIM_ITConfig(TIM2,TIM_IT_Update,ENABLE);
  TIM_Cmd(TIM2, ENABLE);
  RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM2 , DISABLE);/*ȹرյȴʹ*/
}
/*********************************************END OF FILE**********************/
